Skip to main content
PUT
/
v3
/
feature-configurations
/
{feature_configuration_id}
Update an existing feature configuration
curl --request PUT \
  --url https://api.ctrl-hub.com/v3/feature-configurations/{feature_configuration_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "domain": "<string>",
      "component": "<string>",
      "enabled": true
    }
  }
}
'
import requests

url = "https://api.ctrl-hub.com/v3/feature-configurations/{feature_configuration_id}"

payload = { "data": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "attributes": {
            "domain": "<string>",
            "component": "<string>",
            "enabled": True
        }
    } }
headers = {
    "X-Session-Token": "<api-key>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
  body: JSON.stringify({
    data: {
      id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
      type: '<string>',
      attributes: {domain: '<string>', component: '<string>', enabled: true}
    }
  })
};

fetch('https://api.ctrl-hub.com/v3/feature-configurations/{feature_configuration_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "domain": "<string>",
      "component": "<string>",
      "enabled": true
    },
    "meta": {
      "name": "<string>"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}
{
  "id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
  "status": "400",
  "title": "A validation error was encountered",
  "source": {
    "parameter": "include"
  },
  "meta": {
    "resource": "wrong_value"
  }
}
{
  "id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
  "status": "401",
  "title": "You are not authorised to access this resource",
  "detail": "In order to access this resource, you need the 'admin' role.",
  "code": "AUTH.001"
}
{
  "id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
  "status": "404",
  "title": "Resource not found",
  "detail": "The requested resource could not be found or does not exist.",
  "code": "NOT_FOUND.001"
}
{
  "id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
  "status": "500",
  "title": "Internal Server Error",
  "detail": "An unexpected error occurred on the server."
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

feature_configuration_id
string<uuid>
required

The unique identifier for the feature configuration.

Body

application/vnd.api+json

The feature configuration to update.

data
object
required

Response

Get a feature configuration.

JSON API response object

data
object
required

A feature configuration

jsonapi
object
required